Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.gui.scripting
Class JythonScript.JythonThread

    java.lang.Object
      java.lang.Thread
          weka.gui.scripting.Script.ScriptThread
              weka.gui.scripting.JythonScript.JythonThread

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  JythonScript

    public static class JythonScript.JythonThread

extends Script.ScriptThread

Executes a Jython script in a thread.

Version:
  $Revision: 5142 $
Author:
  fracpete (fracpete at waikato dot ac dot nz)

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`JythonScript.JythonThread(Script owner, java.lang.String[] args)` Initializes the thread.

Method Summary

Methods inherited from class weka.gui.scripting.Script.ScriptThread
`getArgs, getOwner, run, stopScript`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JythonScript.JythonThread

    public JythonScript.JythonThread(Script owner,
                                     java.lang.String[] args)

  Initializes the thread.

  Parameters:
    `owner` - the owning script
    `args` - the commandline arguments

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD